" Vim plugin for spell checking  la Charles E. Campbell
" Maintainer:   Gabriel Zachmann (www.gabrielzachmann.org)
" Last Change:  2002 Aug 13

if exists("loaded_spellcheck")
  finish
endif
let loaded_spellcheck = 1
let s:save_cpo = &cpo
set cpo&vim


nmenu S&pelling.&English\ Checking				:runtime my/engspchk.vim<CR>
nmenu S&pelling.&German\ Checking				:runtime my/germansplchk.vim<CR>
nmenu S&pelling.&Repeated\ words<Tab>&			:s/\<\(\k\+\)\>\s\+\1\>/&/<CR>
" In the preceding command "repeated words", a substitute command is used,
" because it has the i-flag, which search doesn't ;-(
" We could've used the / command, but then we'd have to set/reset the
" ignorecase option, which incurs other problems ...


" Restore
let &cpo= s:save_cpo
unlet s:save_cpo

